#
# spec file for package yast2-trans-en_US (Version 2.13.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim yast2-devtools zlib zlib-devel

Name:           yast2-trans-en_US
Version:        2.13.5
Release:        7.2
License:        GPL
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-trans-en_US-2.13.5.tar.bz2
prefix:		/usr
Provides:       locale(yast2:en_US)
BuildRequires:  pkgconfig yast2-devtools
BuildArchitectures:	noarch
Provides:       yast2-trans-inst-general:/usr/lib/YaST2/locale/en_US/LC_MESSAGES/general.mo
Provides:       y2t_inst:/usr/lib/YaST2/locale/en_US/LC_MESSAGES/installation.mo
Provides:       y2t_menu:/usr/lib/YaST2/locale/en_US/LC_MESSAGES/menu.mo
Provides:       y2t_inst-general:/usr/lib/YaST2/locale/en_US/LC_MESSAGES/general.mo
Summary:        YaST2 - American English Translations

%description
YaST2 - Translations for American English.



%debug_package
%prep
%setup -n yast2-trans-en_US-2.13.5
%if %ul_version > 0
pushd po >/dev/null
export LANG=en_US.UTF-8
msgopt="--no-wrap --force-po"
for f in *po; do
  # echo $f
  # msgfmt --stat $f
  msgattrib $msgopt --translated --no-fuzzy --no-obsolete -o xxxgood-$f $f
  msgfilter $msgopt -i $f -o - sed -e '/^Content-Type:/!d' \
    | msgattrib $msgopt --clear-fuzzy --no-obsolete -o - - \
    | msgen --no-wrap -o xxxinit-$f -
  msgcat $msgopt --use-first -o $f xxxgood-$f xxxinit-$f
  # msgfmt --stat $f
done
rm -f xxxgood-* xxxinit-*
unset LANG
popd >/dev/null
%endif

%build
autoreconf --force --install
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix}
%if %ul_version > 0
for f in po/*.po ; do
  cp $f $f.orig
  awk -f %{prefix}/lib/YaST2/bin/cleanuppo.awk $f.orig >$f
done
%endif
%if %sles_version == 8
for f in po/*.po ; do
  cp $f $f.orig
  awk -f %{prefix}/lib/YaST2/bin/cleanuppo.awk -v sles=8 $f.orig >$f
done
%endif
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc %{prefix}/share/doc/packages/yast2-trans-en_US
/usr/share/YaST2/locale

%changelog -n yast2-trans-en_US
* Wed Apr 05 2006 - ke@suse.de
- Update to version 2.13.5.
* Tue Apr 04 2006 - ke@suse.de
- Update to version 2.13.4.
* Wed Feb 22 2006 - ke@suse.de
- Update to version 2.13.3.
* Wed Feb 22 2006 - ke@suse.de
- Update to version 2.13.2.
* Wed Feb 22 2006 - ke@suse.de
- Update to version 2.13.1.
* Mon Sep 05 2005 - ke@suse.de
- Update to version 2.12.1.
* Mon Mar 14 2005 - ke@suse.de
- Update to version 2.11.3.
* Fri Mar 11 2005 - ke@suse.de
- Update to version 2.11.2.
* Fri Feb 25 2005 - ke@suse.de
- Update to version 2.11.1.
* Mon Sep 27 2004 - ke@suse.de
- Update to version 2.10.4.
* Fri Sep 24 2004 - ke@suse.de
- Update to version 2.10.3.
* Fri Sep 10 2004 - ke@suse.de
- Update to version 2.10.2.
* Mon Sep 06 2004 - ke@suse.de
- Update to version 2.10.1.
* Wed Jun 02 2004 - ke@suse.de
- Update to version 2.9.7.
* Fri May 28 2004 - ke@suse.de
- Update to version 2.9.6.
* Fri Apr 02 2004 - ke@suse.de
- Update to version 2.9.5.
* Fri Apr 02 2004 - ke@suse.de
- Update to version 2.9.4.
* Fri Mar 26 2004 - ke@suse.de
- Update to version 2.9.3.
* Fri Mar 19 2004 - ke@suse.de
- Update to version 2.9.2.
* Mon Mar 15 2004 - ke@suse.de
- Update to version 2.9.1.
* Thu Sep 18 2003 - ke@suse.de
- Update to version 2.8.5.
* Tue Sep 16 2003 - ke@suse.de
- Update to version 2.8.4.
* Mon Sep 15 2003 - ke@suse.de
- Update to version 2.8.3.
* Fri Sep 12 2003 - ke@suse.de
- Update to version 2.8.2.
* Tue Sep 09 2003 - ke@suse.de
- Update to version 2.8.1.
* Thu Mar 13 2003 - ke@suse.de
- Update to version 2.7.5.
* Wed Mar 12 2003 - ke@suse.de
- Update to version 2.7.4.
* Fri Mar 07 2003 - ke@suse.de
- Update to version 2.7.3.
* Wed Mar 05 2003 - ke@suse.de
- Update to version 2.7.2.
* Tue Mar 04 2003 - ke@suse.de
- Update to version 2.7.1.
* Fri Oct 11 2002 - ke@suse.de
- Update to version 2.6.7.
* Mon Oct 07 2002 - ke@suse.de
- Update to version 2.6.6.
* Thu Sep 12 2002 - ke@suse.de
- Update to version 2.6.5.
* Thu Sep 12 2002 - ke@suse.de
- Update to version 2.6.4.
* Mon Sep 09 2002 - ke@suse.de
- Update to version 2.6.3.
* Fri Sep 06 2002 - ke@suse.de
- Update to version 2.6.2.
* Thu Sep 05 2002 - ke@suse.de
- Update to version 2.6.1.
* Tue Aug 20 2002 - ke@suse.de
- initial version
